# Fetch logged in account limits

`GET https://api.strike.me/v1/accounts/limits`

Source: https://docs.strike.me/api/fetch-logged-in-account-limits/

---

Required scopes:

- partner.account.profile.read-own

## Responses

### 200 OK

`application/json`

- `deposit` (object): Deposit limits. Applicable for all deposits other than ACH and card deposits, or if the ACH or card deposit limits are not defined.
  - `count` (object): Limits on the number of transactions.
    - `effective` (int32, required): Currently effective limit value.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
  - `amount` (object): Limits on the total amount of transactions.
    - `effective` (object, required): Currently effective limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `single` (object): Single transaction limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `achDeposit` (object): Ach deposit limits. Applicable for ACH deposits only. If these are not defined, `deposit` limits apply.
  - `count` (object): Limits on the number of transactions.
    - `effective` (int32, required): Currently effective limit value.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
  - `amount` (object): Limits on the total amount of transactions.
    - `effective` (object, required): Currently effective limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `single` (object): Single transaction limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `send` (object): Send limits. Applicable for all outgoing transactions except for bank transfers.
  - `count` (object): Limits on the number of transactions.
    - `effective` (int32, required): Currently effective limit value.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
  - `amount` (object): Limits on the total amount of transactions.
    - `effective` (object, required): Currently effective limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `single` (object): Single transaction limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `withdrawal` (object): Withdrawal limits. Applicable for all bank transfers.
  - `count` (object): Limits on the number of transactions.
    - `effective` (int32, required): Currently effective limit value.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
  - `amount` (object): Limits on the total amount of transactions.
    - `effective` (object, required): Currently effective limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `single` (object): Single transaction limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `instant` (object): Instant limits. If not 0, allows spending the pending balance up to the defined limit.
  - `count` (object): Limits on the number of transactions.
    - `effective` (int32, required): Currently effective limit value.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (int32, required): The limit value.
      - `used` (int32, required): The amount of limit spent so far.
  - `amount` (object): Limits on the total amount of transactions.
    - `effective` (object, required): Currently effective limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `single` (object): Single transaction limit value.
      - `amount` (string, required): Currency amount in decimal format.
      - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `lifetime` (object): Lifetime limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `calendarYear` (object): Yearly limit value.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `cycles` (object[]): List of limit values for different time periods.
      - `days` (int32, required): The number of days in the limit period.
      - `limit` (object): The limit value.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
      - `used` (object): The amount of limit spent so far.
        - `amount` (string, required): Currency amount in decimal format.
        - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
